cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/employees/{employeeId}/expense-reports/{reportId}/expenses \
--header 'Content-Type: application/json' \
--data '
{
"expenseId": 123,
"allocatedAmount": 123,
"exchangeRate": 123,
"ledgerAccountId": 123,
"categoryId": 123,
"claimedCategoryId": 123,
"claimedNotes": "<string>",
"attendees": "<string>"
}
'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/employees/{employeeId}/expense-reports/{reportId}/expenses"
payload = {
"expenseId": 123,
"allocatedAmount": 123,
"exchangeRate": 123,
"ledgerAccountId": 123,
"categoryId": 123,
"claimedCategoryId": 123,
"claimedNotes": "<string>",
"attendees": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
expenseId: 123,
allocatedAmount: 123,
exchangeRate: 123,
ledgerAccountId: 123,
categoryId: 123,
claimedCategoryId: 123,
claimedNotes: '<string>',
attendees: '<string>'
})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/employees/{employeeId}/expense-reports/{reportId}/expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}EmployeeExpenseReportExpenses
Post v1businesses employees expense reports expenses
POST
/
v1
/
businesses
/
{businessId}
/
employees
/
{employeeId}
/
expense-reports
/
{reportId}
/
expenses
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Response
OK
Was this page helpful?
⌘I